<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>Uses of Class fr.ici.dataImporter.iciObjects.Individual</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="use: package: fr.ici.dataImporter.iciObjects, class: Individual">
<meta name="generator" content="javadoc/ClassUseWriter">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-use-page">
<script type="text/javascript">var pathtoroot = "../../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Uses of Class fr.ici.dataImporter.iciObjects.Individual" class="title">Uses of Class<br>fr.ici.dataImporter.iciObjects.Individual</h1>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Packages that use <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Package</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.iris">fr.ici.dataImporter.iciObjects.iris</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.iciObjects.property">fr.ici.dataImporter.iciObjects.property</a></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-first" scope="row"><a href="#fr.ici.dataImporter.util">fr.ici.dataImporter.util</a></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<section class="class-uses">
<ul class="block-list">
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects">
<h2>Uses of <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a> in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> that return types with arguments of type <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#getAdults(java.util.List)">getAdults</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#importIndividuals(java.io.File)">importIndividuals</a></span>&#8203;(java.io.File&nbsp;indivICI)</code></th>
<td class="col-last">
<div class="block">Import ICI individuals from an already exported file.</div>
</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a></div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#importIndividuals(java.util.List,java.io.File,java.io.File,java.io.File)">importIndividuals</a></span>&#8203;(java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lHH,
java.io.File&nbsp;irisPopFile,
java.io.File&nbsp;irisHHFile,
java.io.File&nbsp;noHouseholdPopGeoFile)</code></th>
<td class="col-last">
<div class="block">Generate ICI individuals regarding to a list of <a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects"><code>Household</code></a> and INSEE's statistics</div>
</td>
</tr>
</tbody>
</table>
</div>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../package-summary.html">fr.ici.dataImporter.iciObjects</a> with type arguments of type <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.io.File</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#exportIndividual(java.util.List,java.io.File)">exportIndividual</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;</code></td>
<th class="col-second" scope="row"><span class="type-name-label">Individual.</span><code><span class="member-name-link"><a href="../Individual.html#getAdults(java.util.List)">getAdults</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lIndiv)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.iris">
<h2>Uses of <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a> in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Constructor parameters in <a href="../iris/package-summary.html">fr.ici.dataImporter.iciObjects.iris</a> with type arguments of type <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="../iris/IRISDemography.html#%3Cinit%3E(org.opengis.feature.simple.SimpleFeature,org.opengis.feature.simple.SimpleFeature,java.util.List)">IRISDemography</a></span>&#8203;(org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisPop,
org.opengis.feature.simple.SimpleFeature&nbsp;sfIrisHH,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individualsWithoutHousehold)</code></th>
<td class="col-last">
<div class="block">Constructor for Household generation purposes</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.iciObjects.property">
<h2>Uses of <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a> in <a href="../property/package-summary.html">fr.ici.dataImporter.iciObjects.property</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Methods in <a href="../property/package-summary.html">fr.ici.dataImporter.iciObjects.property</a> with parameters of type <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static java.lang.Integer</code></td>
<th class="col-second" scope="row"><span class="type-name-label">ClassAge.</span><code><span class="member-name-link"><a href="../property/ClassAge.html#getInfAgeBound(fr.ici.dataImporter.iciObjects.Individual)">getInfAgeBound</a></span>&#8203;(<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&nbsp;indiv)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<li>
<section class="detail" id="fr.ici.dataImporter.util">
<h2>Uses of <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a> in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a></h2>
<div class="use-summary">
<table class="summary-table">
<caption><span>Method parameters in <a href="../../util/package-summary.html">fr.ici.dataImporter.util</a> with type arguments of type <a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a></span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphCheck.</span><code><span class="member-name-link"><a href="../../util/GraphCheck.html#check18_25atParents(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">check18_25atParents</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphCheck.</span><code><span class="member-name-link"><a href="../../util/GraphCheck.html#checkHomosCouples(java.util.List,java.util.List,org.geotools.data.simple.SimpleFeatureCollection)">checkHomosCouples</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH,
org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphAnalysis.</span><code><span class="member-name-link"><a href="../../util/GraphAnalysis.html#CompareIndividualByAgeToINSEEGrid(java.util.List,java.io.File,java.io.File)">CompareIndividualByAgeToINSEEGrid</a></span>&#8203;(java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;individuals,
java.io.File&nbsp;inseeGridFile,
java.io.File&nbsp;geoBound)</code></th>
<td class="col-last">
<div class="block">Compares a synthetic population generation with the INSEE's grid</div>
</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><span class="type-name-label">GraphAnalysis.</span><code><span class="member-name-link"><a href="../../util/GraphAnalysis.html#makeIrisDiff(org.geotools.data.simple.SimpleFeatureCollection,java.util.List,java.util.List,java.util.List,java.io.File,java.io.File,java.io.File,java.io.File)">makeIrisDiff</a></span>&#8203;(org.geotools.data.simple.SimpleFeatureCollection&nbsp;irisGeom,
java.util.List&lt;<a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Individual</a>&gt;&nbsp;lI,
java.util.List&lt;<a href="../Household.html" title="class in fr.ici.dataImporter.iciObjects">Household</a>&gt;&nbsp;lH,
java.util.List&lt;? extends <a href="../Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB,
java.io.File&nbsp;popInseeFile,
java.io.File&nbsp;householdInseeFile,
java.io.File&nbsp;housingInseeFile,
java.io.File&nbsp;outFile)</code></th>
<td class="col-last">
<div class="block">Count how many individuals are situated in IRISes regarding to INSEE's values and to the generation of a synthetic population</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
</ul>
</section>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Individual.html" title="class in fr.ici.dataImporter.iciObjects">Class</a></li>
<li class="nav-bar-cell1-rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
